nit.h File Reference
Digital TV table parsing

Provides the descriptors for NIT MPEG-TS table. More...

`#include <stdint.h>`
`#include <unistd.h>`
`#include <libdvbv5/header.h>`
`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

union | dvb_table_nit_transport_header
| MPEG-TS NIT transport header. More...
struct | dvb_table_nit_transport
| MPEG-TS NIT transport table. More...
struct | dvb_table_nit
| MPEG-TS NIT table. More...

## Macros

#define | DVB_TABLE_NIT
| NIT table ID.
#define | DVB_TABLE_NIT2
| NIT table ID (alternative table ID).
#define | DVB_TABLE_NIT_PID
| NIT Program ID.
#define | dvb_nit_transport_foreach(_tran, _nit)
| Macro used to find a transport inside a NIT table.

## Typedefs

typedef void | nit_handler_callback_t(struct dvb_table_nit *nit, struct dvb_desc *desc, void *priv)
| typedef for a callback used when a NIT table entry is found
typedef void | nit_tran_handler_callback_t(struct dvb_table_nit *nit, struct dvb_table_nit_transport *tran, struct dvb_desc *desc, void *priv)
| typedef for a callback used when a NIT transport table entry is found

## Functions

ssize_t | dvb_table_nit_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, ssize_t buflen, struct dvb_table_nit **table)
| Initializes and parses NIT table.
void | dvb_table_nit_free (struct dvb_table_nit *table)
| Frees all data allocated by the NIT table parser.
void | dvb_table_nit_print (struct dvb_v5_fe_parms *parms, struct dvb_table_nit *table)
| Prints the content of the NIT table.
void | dvb_table_nit_descriptor_handler (struct dvb_v5_fe_parms *parms, struct dvb_table_nit *table, enum descriptors descriptor, nit_handler_callback_t *call_nit, nit_tran_handler_callback_t *call_tran, void *priv)
| For each entry at NIT and NIT transport tables, call a callback.

## Detailed Description

Provides the descriptors for NIT MPEG-TS table.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Bug Report
  Please submit bug report and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Relevant specs
  The table described herein is defined at:
  - ISO/IEC 13818-1
  - ETSI EN 300 468

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file nit.h.